package com.app.bloggerebookapp;

import com.app.bloggerebookapp.helper.Constant;

public class Config {

    //generate your access key using the link below or check the documentation for more detailed instructions
    //https://services.solodroid.co.id/access-key/generate
    public static final String ACCESS_KEY = "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX";

    //default RECIPES columns count for the first time launch, supported value : Constant.BOOK_TWO_COLUMNS or Constant.BOOK_THREE_COLUMNS
    public static final int DEFAULT_BOOK_COLUMNS = Constant.BOOK_THREE_COLUMNS;

    //label sorting, supported value : Constant.LABEL_NAME_ASCENDING, Constant.LABEL_NAME_DESCENDING or Constant.LABEL_DEFAULT
    public static final String LABELS_SORTING = Constant.LABEL_NAME_ASCENDING;

    //display dialog for exit confirmation
    public static final boolean ENABLE_EXIT_DIALOG = true;

    //RTL direction, e.g : for Arabic Language
    public static final boolean ENABLE_RTL_MODE = false;

    //GDPR EU Consent
    public static final boolean ENABLE_GDPR_EU_CONSENT_UMP_SDK = true;

    //Ad Placement in the particular screen, 1 to enable and 0 to disable
    public static final int BANNER_HOME = 1;
    public static final int BANNER_BOOK_DETAIL = 1;
    public static final int BANNER_CATEGORY_DETAIL = 1;
    public static final int BANNER_SEARCH = 1;
    public static final int INTERSTITIAL_BOOK_LIST = 1;
    public static final int INTERSTITIAL_BOOK_DETAIL = 1;
    public static final int NATIVE_AD_BOOK_LIST = 1;
    public static final int NATIVE_AD_BOOK_DETAIL = 1;
    public static final int NATIVE_AD_EXIT_DIALOG = 1;

    //Native Ad styles: small, medium or large
    public static final String NATIVE_AD_STYLE_BOOK_LIST = "large";
    public static final String NATIVE_AD_STYLE_BOOK_DETAIL = "large";
    public static final String NATIVE_AD_STYLE_EXIT_DIALOG = "medium";

}